org.eclipse.ease.lang.unittest.definition.util

## Class DefinitionSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.ease.lang.unittest.definition.util.DefinitionSwitch<T>

    public class DefinitionSwitch<T>
    extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `IDefinitionPackage`

### Constructor Summary

Constructors
Constructor and Description
`DefinitionSwitch()` Creates an instance of the switch.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseCode(ICode object)` Returns the result of interpreting the object as an instance of 'Code'.
`T` `caseFlagToStringMap(java.util.Map.Entry<Flag,java.lang.String> object)` Returns the result of interpreting the object as an instance of 'Flag To String Map'.
`T` `caseTestSuiteDefinition(ITestSuiteDefinition object)` Returns the result of interpreting the object as an instance of 'Test Suite Definition'.
`T` `caseVariable(IVariable object)` Returns the result of interpreting the object as an instance of 'Variable'.
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefinitionSwitch

    public DefinitionSwitch()

Creates an instance of the switch.

### Method Detail

#### caseTestSuiteDefinition

    public T caseTestSuiteDefinition(ITestSuiteDefinition object)

Returns the result of interpreting the object as an instance of 'Test Suite Definition'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Test Suite Definition'.
See Also:
  `doSwitch(EObject)`

#### caseVariable

    public T caseVariable(IVariable object)

Returns the result of interpreting the object as an instance of 'Variable'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Variable'.
See Also:
  `doSwitch(EObject)`

#### caseFlagToStringMap

    public T caseFlagToStringMap(java.util.Map.Entry<Flag,java.lang.String> object)

Returns the result of interpreting the object as an instance of 'Flag To String Map'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Flag To String Map'.
See Also:
  `doSwitch(EObject)`

#### caseCode

    public T caseCode(ICode object)

Returns the result of interpreting the object as an instance of 'Code'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Code'.
See Also:
  `doSwitch(EObject)`

#### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`